Bug 470879 - Make customization of Live System easier
Make customization of Live System easier
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 13:31 EST by probono
Modified: 2013-01-09 23:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-11 11:30:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description probono 2008-11-10 13:31:51 EST
Description of problem:

There should be a way to use multiple squashfs modules and directories that allow for the easy (stackable) customization of the Live system. This is possible in Ubuntu's casper system.

/LiveOS/01basesystem.squashfs
/LiveOS/02VLC.squashfs
/LiveOS/02etc.dir/etc/somesetting.cfg

The system should then, during the boot of the live system, mount these 3 filesystems stacked.
  
Actual results:
It is hard to customize a Fedora Live system, e.g., adding an application or changing a config file.

Expected results:
Be as customizable as the Ubuntu Live system.

Additional info:
This is not to be confused with persistence. Persistence is r/w whereas customization is r/o.
See
http://dev.laptop.org/~probono/sbuntu/
for a concrete application (using Ubuntu, but I would like to do this with Fedora).
Comment 1 Jeremy Katz 2008-11-11 11:30:12 EST
Unfortunately, this isn't really doable with dm-snapshot which is what the Fedora live image is implemented using.  To really be able to do this, you need to be able to use unionfs and efforts to get any of the unionfs implementations into the upstream kernel continue to go nowhere :(

Note You need to log in before you can comment on or make changes to this bug.